// locations to search for config files that get merged into the main config;
// config files can be ConfigSlurper scripts, Java properties files, or classes
// in the classpath in ConfigSlurper format

// grails.config.locations = [ "classpath:${appName}-config.properties",
//                             "classpath:${appName}-config.groovy",
//                             "file:${userHome}/.grails/${appName}-config.properties",
//                             "file:${userHome}/.grails/${appName}-config.groovy"]

// if (System.properties["${appName}.config.location"]) {
//    grails.config.locations << "file:" + System.properties["${appName}.config.location"]
// }
grails.config.locations = [ "classpath:bigbluebutton.properties"]
if (new File("/etc/bigbluebutton/bbb-web.properties").canRead()) {
    grails.config.locations << "file:/etc/bigbluebutton/bbb-web.properties"
}

grails.project.groupId = appName // change this to alter the default package name and Maven publishing destination

// The ACCEPT header will not be used for content negotiation for user agents containing the following strings (defaults to the 4 major rendering engines)
grails.mime.disable.accept.header.userAgents = ['Gecko', 'WebKit', 'Presto', 'Trident']
grails.mime.types = [
    all:           '*/*',
    atom:          'application/atom+xml',
    css:           'text/css',
    csv:           'text/csv',
    form:          'application/x-www-form-urlencoded',
    html:          ['text/html','application/xhtml+xml'],
    js:            'text/javascript',
    json:          ['application/json', 'text/json'],
    multipartForm: 'multipart/form-data',
    rss:           'application/rss+xml',
    text:          'text/plain',
    hal:           ['application/hal+json','application/hal+xml'],
    xml:           ['text/xml', 'application/xml'],
    png:           'image/png',
    jpg:           'image/jpg',
    jpeg:          'image/jpg',
    gif:           'image/gif'
]

// URL Mapping Cache Max Size, defaults to 5000
grails.urlmapping.cache.maxsize = 5000

// What URL patterns should be processed by the resources plugin
grails.resources.adhoc.patterns = ['/images/*', '/css/*', '/js/*', '/plugins/*']

// Legacy setting for codec used to encode data with ${}
grails.views.default.codec = "html"

// The default scope for controllers. May be prototype, session or singleton.
// If unspecified, controllers are prototype scoped.
grails.controllers.defaultScope = 'singleton'

// GSP settings
grails {
    views {
        gsp {
            encoding = 'UTF-8'
            htmlcodec = 'xml' // use xml escaping instead of HTML4 escaping
            codecs {
                expression = 'html' // escapes values inside ${}
                scriptlet = 'html' // escapes output from scriptlets in GSPs
                taglib = 'none' // escapes output from taglibs
                staticparts = 'none' // escapes output from static template parts
            }
        }
        // escapes all not-encoded output at final stage of outputting
        filteringCodecForContentType {
            //'text/html' = 'html'
        }
    }
}
 
grails.converters.encoding = "UTF-8"
// scaffolding templates configuration
grails.scaffolding.templates.domainSuffix = 'Instance'

// Set to false to use the new Grails 1.2 JSONBuilder in the render method
grails.json.legacy.builder = false
// enabled native2ascii conversion of i18n properties files
grails.enable.native2ascii = true
// packages to include in Spring bean scanning
grails.spring.bean.packages = []
// whether to disable processing of multi part requests
grails.web.disable.multipart=false

// request parameters to mask when logging exceptions
grails.exceptionresolver.params.exclude = ['password']

// configure auto-caching of queries by default (if false you can cache individual queries with 'cache: true')
grails.hibernate.cache.queries = false

environments {
    development {
        grails.logging.jul.usebridge = true
    }
    production {
        grails.logging.jul.usebridge = false
        // TODO: grails.serverURL = "http://www.changeme.com"
    }
}
/*
// log4j configuration
log4j = {
    appenders {
        appender new org.apache.log4j.DailyRollingFileAppender(
                   name: "dailyRollingFileAppender",
                   datePattern: "'.'yyyy-MM-dd",
                   file: "/var/log/bigbluebutton/bbb-web.log",
                   encoding:"utf-8",
                   threshold:org.apache.log4j.Level.toLevel( config.appLogLevel ),
                   layout:pattern(conversionPattern: "%d{yyyy-MM-dd'T'HH:mm:ss.SSSXXX} %-5p %c %x - %m%n"))
        console     name:'consoleAppender',
                  threshold:org.apache.log4j.Level.toLevel( config.appLogLevel ), 
                  layout:pattern(conversionPattern: "%d{yyyy-MM-dd'T'HH:mm:ss.SSSXXX} %-5p %c %x - %m%n")
    }

    root {
        warn 'dailyRollingFileAppender', 'consoleAppender'
        additivity = true
    }

    debug  logfile:    'org.bigbluebutton.*',
                       'grails.app.controllers',
                       'grails.app.services'
}
*/
